%define upstream_name    Gearman
%define upstream_version 1.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Client for gearman distributed job system
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Gearman/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(String::CRC32)
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%description
_Gearman::Task_ is a Gearman::Client's representation of a task to be done.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGES HACKING META.json META.yml MYMETA.yml TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.120.0-3.mga6
+ Revision: 1027699
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.120.0-2.mga6
+ Revision: 966258
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 1.120.0-1.mga6
+ Revision: 843161
- update to 1.12

* Wed Oct 15 2014 umeabot <umeabot> 1.110.0-5.mga5
+ Revision: 745930
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.110.0-4.mga5
+ Revision: 684834
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.110.0-3.mga4
+ Revision: 511821
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.110.0-2.mga3
+ Revision: 367627
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 22 2012 kharec <kharec> 1.110.0-1.mga2
+ Revision: 211851
- imported package perl-Gearman


* Wed Feb 22 2012 cpan2dist 1.11-1mga
- initial mageia release, generated with cpan2dist
